Index: src/backend/utils/misc/guc.c
===================================================================
RCS file: /home/neilc/postgres/cvs_root/pgsql/src/backend/utils/misc/guc.c,v
retrieving revision 1.360
diff -c -p -r1.360 guc.c
*** src/backend/utils/misc/guc.c	29 Nov 2006 14:50:07 -0000	1.360
--- src/backend/utils/misc/guc.c	2 Dec 2006 19:28:33 -0000
*************** static struct config_bool ConfigureNames
*** 587,593 ****
  	{
  		/* currently undocumented, so don't show in SHOW ALL */
  		{"exit_on_error", PGC_USERSET, UNGROUPED,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NO_SHOW_ALL | GUC_NOT_IN_SAMPLE
  		},
--- 587,593 ----
  	{
  		/* currently undocumented, so don't show in SHOW ALL */
  		{"exit_on_error", PGC_USERSET, UNGROUPED,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NO_SHOW_ALL | GUC_NOT_IN_SAMPLE
  		},
*************** static struct config_bool ConfigureNames
*** 669,675 ****
  #ifdef BTREE_BUILD_STATS
  	{
  		{"log_btree_build_stats", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
--- 669,675 ----
  #ifdef BTREE_BUILD_STATS
  	{
  		{"log_btree_build_stats", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
*************** static struct config_bool ConfigureNames
*** 761,767 ****
  #ifdef LOCK_DEBUG
  	{
  		{"trace_locks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
--- 761,767 ----
  #ifdef LOCK_DEBUG
  	{
  		{"trace_locks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
*************** static struct config_bool ConfigureNames
*** 770,776 ****
  	},
  	{
  		{"trace_userlocks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
--- 770,776 ----
  	},
  	{
  		{"trace_userlocks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
*************** static struct config_bool ConfigureNames
*** 779,785 ****
  	},
  	{
  		{"trace_lwlocks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
--- 779,785 ----
  	},
  	{
  		{"trace_lwlocks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
*************** static struct config_bool ConfigureNames
*** 788,794 ****
  	},
  	{
  		{"debug_deadlocks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("no description available"),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
--- 788,794 ----
  	},
  	{
  		{"debug_deadlocks", PGC_SUSET, DEVELOPER_OPTIONS,
! 			gettext_noop("No description available."),
  			NULL,
  			GUC_NOT_IN_SAMPLE
  		},
*************** static struct config_bool ConfigureNames
*** 982,988 ****
  
  	{
  		{"standard_conforming_strings", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
! 			gettext_noop("'...' strings treat backslashes literally."),
  			NULL,
  			GUC_REPORT
  		},
--- 982,988 ----
  
  	{
  		{"standard_conforming_strings", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
! 			gettext_noop("Causes '...' strings to treat backslashes literally."),
  			NULL,
  			GUC_REPORT
  		},
*************** static struct config_int ConfigureNamesI
*** 1050,1057 ****
  	},
  	{
  		{"from_collapse_limit", PGC_USERSET, QUERY_TUNING_OTHER,
! 			gettext_noop("Sets the FROM-list size beyond which subqueries are not "
! 						 "collapsed."),
  			gettext_noop("The planner will merge subqueries into upper "
  				"queries if the resulting FROM list would have no more than "
  						 "this many items.")
--- 1050,1057 ----
  	},
  	{
  		{"from_collapse_limit", PGC_USERSET, QUERY_TUNING_OTHER,
! 			gettext_noop("Sets the FROM-list size beyond which subqueries "
! 						 "are not collapsed."),
  			gettext_noop("The planner will merge subqueries into upper "
  				"queries if the resulting FROM list would have no more than "
  						 "this many items.")
*************** static struct config_int ConfigureNamesI
*** 1061,1071 ****
  	},
  	{
  		{"join_collapse_limit", PGC_USERSET, QUERY_TUNING_OTHER,
! 			gettext_noop("Sets the FROM-list size beyond which JOIN constructs are not "
! 						 "flattened."),
  			gettext_noop("The planner will flatten explicit JOIN "
! 			"constructs into lists of FROM items whenever a list of no more "
! 						 "than this many items would result.")
  		},
  		&join_collapse_limit,
  		8, 1, INT_MAX, NULL, NULL
--- 1061,1071 ----
  	},
  	{
  		{"join_collapse_limit", PGC_USERSET, QUERY_TUNING_OTHER,
! 			gettext_noop("Sets the FROM-list size beyond which JOIN "
! 						 "constructs are not flattened."),
  			gettext_noop("The planner will flatten explicit JOIN "
! 						 "constructs into lists of FROM items whenever a "
! 						 "list of no more than this many items would result.")
  		},
  		&join_collapse_limit,
  		8, 1, INT_MAX, NULL, NULL
*************** static struct config_int ConfigureNamesI
*** 1105,1111 ****
  
  	{
  		{"deadlock_timeout", PGC_SIGHUP, LOCK_MANAGEMENT,
! 			gettext_noop("The time in milliseconds to wait on lock before checking for deadlock."),
  			NULL,
  			GUC_UNIT_MS
  		},
--- 1105,1111 ----
  
  	{
  		{"deadlock_timeout", PGC_SIGHUP, LOCK_MANAGEMENT,
! 			gettext_noop("Sets the time to wait on a lock before checking for deadlock."),
  			NULL,
  			GUC_UNIT_MS
  		},
*************** static struct config_int ConfigureNamesI
*** 1322,1328 ****
  
  	{
  		{"statement_timeout", PGC_USERSET, CLIENT_CONN_STATEMENT,
! 			gettext_noop("Sets the maximum allowed duration (in milliseconds) of any statement."),
  			gettext_noop("A value of 0 turns off the timeout."),
  			GUC_UNIT_MS
  		},
--- 1322,1328 ----
  
  	{
  		{"statement_timeout", PGC_USERSET, CLIENT_CONN_STATEMENT,
! 			gettext_noop("Sets the maximum allowed duration of any statement."),
  			gettext_noop("A value of 0 turns off the timeout."),
  			GUC_UNIT_MS
  		},
*************** static struct config_int ConfigureNamesI
*** 1369,1375 ****
  
  	{
  		{"authentication_timeout", PGC_SIGHUP, CONN_AUTH_SECURITY,
! 			gettext_noop("Sets the maximum time in seconds to complete client authentication."),
  			NULL,
  			GUC_UNIT_S
  		},
--- 1369,1375 ----
  
  	{
  		{"authentication_timeout", PGC_SIGHUP, CONN_AUTH_SECURITY,
! 			gettext_noop("Sets the maximum allowed time to complete client authentication."),
  			NULL,
  			GUC_UNIT_S
  		},
*************** static struct config_int ConfigureNamesI
*** 1380,1387 ****
  	{
  		/* Not for general use */
  		{"pre_auth_delay", PGC_SIGHUP, DEVELOPER_OPTIONS,
! 			gettext_noop("no description available"),
! 			NULL,
  			GUC_NOT_IN_SAMPLE | GUC_UNIT_S
  		},
  		&PreAuthDelay,
--- 1380,1387 ----
  	{
  		/* Not for general use */
  		{"pre_auth_delay", PGC_SIGHUP, DEVELOPER_OPTIONS,
! 			gettext_noop("Waits N seconds on connection startup before authentication."),
! 			gettext_noop("This allows attaching a debugger to the process."),
  			GUC_NOT_IN_SAMPLE | GUC_UNIT_S
  		},
  		&PreAuthDelay,
*************** static struct config_int ConfigureNamesI
*** 1399,1405 ****
  
  	{
  		{"checkpoint_timeout", PGC_SIGHUP, WAL_CHECKPOINTS,
! 			gettext_noop("Sets the maximum time in seconds between automatic WAL checkpoints."),
  			NULL,
  			GUC_UNIT_S
  		},
--- 1399,1405 ----
  
  	{
  		{"checkpoint_timeout", PGC_SIGHUP, WAL_CHECKPOINTS,
! 			gettext_noop("Sets the maximum time between automatic WAL checkpoints."),
  			NULL,
  			GUC_UNIT_S
  		},
*************** static struct config_int ConfigureNamesI
*** 1409,1416 ****
  
  	{
  		{"checkpoint_warning", PGC_SIGHUP, WAL_CHECKPOINTS,
! 			gettext_noop("Logs if filling of checkpoint segments happens more "
! 						 "frequently than this (in seconds)."),
  			gettext_noop("Write a message to the server log if checkpoints "
  			"caused by the filling of checkpoint segment files happens more "
  						 "frequently than this number of seconds. Zero turns off the warning."),
--- 1409,1416 ----
  
  	{
  		{"checkpoint_warning", PGC_SIGHUP, WAL_CHECKPOINTS,
! 			gettext_noop("Enables warnings if checkpoint segments are filled more "
! 						 "frequently than this."),
  			gettext_noop("Write a message to the server log if checkpoints "
  			"caused by the filling of checkpoint segment files happens more "
  						 "frequently than this number of seconds. Zero turns off the warning."),
*************** static struct config_int ConfigureNamesI
*** 1463,1469 ****
  
  	{
  		{"log_min_duration_statement", PGC_SUSET, LOGGING_WHEN,
! 			gettext_noop("Sets the minimum execution time in milliseconds above which statements will "
  						 "be logged."),
  			gettext_noop("Zero prints all queries. The default is -1 (turning this feature off)."),
  			GUC_UNIT_MS
--- 1463,1469 ----
  
  	{
  		{"log_min_duration_statement", PGC_SUSET, LOGGING_WHEN,
! 			gettext_noop("Sets the minimum execution time above which statements will "
  						 "be logged."),
  			gettext_noop("Zero prints all queries. The default is -1 (turning this feature off)."),
  			GUC_UNIT_MS
*************** static struct config_int ConfigureNamesI
*** 1474,1480 ****
  
  	{
  		{"bgwriter_delay", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer sleep time between rounds in milliseconds"),
  			NULL,
  			GUC_UNIT_MS
  		},
--- 1474,1480 ----
  
  	{
  		{"bgwriter_delay", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer sleep time between rounds."),
  			NULL,
  			GUC_UNIT_MS
  		},
*************** static struct config_int ConfigureNamesI
*** 1484,1490 ****
  
  	{
  		{"bgwriter_lru_maxpages", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer maximum number of LRU pages to flush per round"),
  			NULL
  		},
  		&bgwriter_lru_maxpages,
--- 1484,1490 ----
  
  	{
  		{"bgwriter_lru_maxpages", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer maximum number of LRU pages to flush per round."),
  			NULL
  		},
  		&bgwriter_lru_maxpages,
*************** static struct config_int ConfigureNamesI
*** 1493,1499 ****
  
  	{
  		{"bgwriter_all_maxpages", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer maximum number of all pages to flush per round"),
  			NULL
  		},
  		&bgwriter_all_maxpages,
--- 1493,1499 ----
  
  	{
  		{"bgwriter_all_maxpages", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer maximum number of all pages to flush per round."),
  			NULL
  		},
  		&bgwriter_all_maxpages,
*************** static struct config_int ConfigureNamesI
*** 1502,1508 ****
  
  	{
  		{"log_rotation_age", PGC_SIGHUP, LOGGING_WHERE,
! 			gettext_noop("Automatic log file rotation will occur after N minutes"),
  			NULL,
  			GUC_UNIT_MIN
  		},
--- 1502,1508 ----
  
  	{
  		{"log_rotation_age", PGC_SIGHUP, LOGGING_WHERE,
! 			gettext_noop("Automatic log file rotation will occur after N minutes."),
  			NULL,
  			GUC_UNIT_MIN
  		},
*************** static struct config_int ConfigureNamesI
*** 1512,1518 ****
  
  	{
  		{"log_rotation_size", PGC_SIGHUP, LOGGING_WHERE,
! 			gettext_noop("Automatic log file rotation will occur after N kilobytes"),
  			NULL,
  			GUC_UNIT_KB
  		},
--- 1512,1518 ----
  
  	{
  		{"log_rotation_size", PGC_SIGHUP, LOGGING_WHERE,
! 			gettext_noop("Automatic log file rotation will occur after N kilobytes."),
  			NULL,
  			GUC_UNIT_KB
  		},
*************** static struct config_int ConfigureNamesI
*** 1542,1548 ****
  
  	{
  		{"max_identifier_length", PGC_INTERNAL, PRESET_OPTIONS,
! 			gettext_noop("Shows the maximum identifier length"),
  			NULL,
  			GUC_NOT_IN_SAMPLE | GUC_DISALLOW_IN_FILE
  		},
--- 1542,1548 ----
  
  	{
  		{"max_identifier_length", PGC_INTERNAL, PRESET_OPTIONS,
! 			gettext_noop("Shows the maximum identifier length."),
  			NULL,
  			GUC_NOT_IN_SAMPLE | GUC_DISALLOW_IN_FILE
  		},
*************** static struct config_int ConfigureNamesI
*** 1552,1558 ****
  
  	{
  		{"block_size", PGC_INTERNAL, PRESET_OPTIONS,
! 			gettext_noop("Shows size of a disk block"),
  			NULL,
  			GUC_NOT_IN_SAMPLE | GUC_DISALLOW_IN_FILE
  		},
--- 1552,1558 ----
  
  	{
  		{"block_size", PGC_INTERNAL, PRESET_OPTIONS,
! 			gettext_noop("Shows the size of a disk block."),
  			NULL,
  			GUC_NOT_IN_SAMPLE | GUC_DISALLOW_IN_FILE
  		},
*************** static struct config_int ConfigureNamesI
*** 1562,1568 ****
  
  	{
  		{"autovacuum_naptime", PGC_SIGHUP, AUTOVACUUM,
! 			gettext_noop("Time to sleep between autovacuum runs, in seconds."),
  			NULL,
  			GUC_UNIT_S
  		},
--- 1562,1568 ----
  
  	{
  		{"autovacuum_naptime", PGC_SIGHUP, AUTOVACUUM,
! 			gettext_noop("Time to sleep between autovacuum runs."),
  			NULL,
  			GUC_UNIT_S
  		},
*************** static struct config_int ConfigureNamesI
*** 1597,1603 ****
  
  	{
  		{"tcp_keepalives_idle", PGC_USERSET, CLIENT_CONN_OTHER,
! 			gettext_noop("Seconds between issuing TCP keepalives."),
  			gettext_noop("A value of 0 uses the system default."),
  			GUC_UNIT_S
  		},
--- 1597,1603 ----
  
  	{
  		{"tcp_keepalives_idle", PGC_USERSET, CLIENT_CONN_OTHER,
! 			gettext_noop("Time between issuing TCP keepalives."),
  			gettext_noop("A value of 0 uses the system default."),
  			GUC_UNIT_S
  		},
*************** static struct config_int ConfigureNamesI
*** 1607,1613 ****
  
  	{
  		{"tcp_keepalives_interval", PGC_USERSET, CLIENT_CONN_OTHER,
! 			gettext_noop("Seconds between TCP keepalive retransmits."),
  			gettext_noop("A value of 0 uses the system default."),
  			GUC_UNIT_S
  		},
--- 1607,1613 ----
  
  	{
  		{"tcp_keepalives_interval", PGC_USERSET, CLIENT_CONN_OTHER,
! 			gettext_noop("Time between TCP keepalive retransmits."),
  			gettext_noop("A value of 0 uses the system default."),
  			GUC_UNIT_S
  		},
*************** static struct config_int ConfigureNamesI
*** 1638,1644 ****
  
  	{
  		{"effective_cache_size", PGC_USERSET, QUERY_TUNING_COST,
! 			gettext_noop("Sets the planner's assumption about size of the disk cache."),
  			gettext_noop("That is, the portion of the kernel's disk cache that "
  						 "will be used for PostgreSQL data files. This is measured in disk "
  						 "pages, which are normally 8 kB each."),
--- 1638,1644 ----
  
  	{
  		{"effective_cache_size", PGC_USERSET, QUERY_TUNING_COST,
! 			gettext_noop("Sets the planner's assumption about the size of the disk cache."),
  			gettext_noop("That is, the portion of the kernel's disk cache that "
  						 "will be used for PostgreSQL data files. This is measured in disk "
  						 "pages, which are normally 8 kB each."),
*************** static struct config_real ConfigureNames
*** 1726,1732 ****
  
  	{
  		{"bgwriter_lru_percent", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer percentage of LRU buffers to flush per round"),
  			NULL
  		},
  		&bgwriter_lru_percent,
--- 1726,1732 ----
  
  	{
  		{"bgwriter_lru_percent", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer percentage of LRU buffers to flush per round."),
  			NULL
  		},
  		&bgwriter_lru_percent,
*************** static struct config_real ConfigureNames
*** 1735,1741 ****
  
  	{
  		{"bgwriter_all_percent", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer percentage of all buffers to flush per round"),
  			NULL
  		},
  		&bgwriter_all_percent,
--- 1735,1741 ----
  
  	{
  		{"bgwriter_all_percent", PGC_SIGHUP, RESOURCES,
! 			gettext_noop("Background writer percentage of all buffers to flush per round."),
  			NULL
  		},
  		&bgwriter_all_percent,
*************** static struct config_string ConfigureNam
*** 1780,1787 ****
  {
  	{
  		{"archive_command", PGC_SIGHUP, WAL_SETTINGS,
! 			gettext_noop("WAL archiving command."),
! 			gettext_noop("The shell command that will be called to archive a WAL file.")
  		},
  		&XLogArchiveCommand,
  		"", NULL, NULL
--- 1780,1787 ----
  {
  	{
  		{"archive_command", PGC_SIGHUP, WAL_SETTINGS,
! 			gettext_noop("Sets the shell command that will be called to archive a WAL file."),
! 			NULL
  		},
  		&XLogArchiveCommand,
  		"", NULL, NULL
*************** static struct config_string ConfigureNam
*** 1858,1865 ****
  
  	{
  		{"log_line_prefix", PGC_SIGHUP, LOGGING_WHAT,
! 			gettext_noop("Controls information prefixed to each log line"),
! 			gettext_noop("if blank no prefix is used")
  		},
  		&Log_line_prefix,
  		"", NULL, NULL
--- 1858,1865 ----
  
  	{
  		{"log_line_prefix", PGC_SIGHUP, LOGGING_WHAT,
! 			gettext_noop("Controls information prefixed to each log line."),
! 			gettext_noop("If blank, no prefix is used.")
  		},
  		&Log_line_prefix,
  		"", NULL, NULL
*************** static struct config_string ConfigureNam
*** 2150,2156 ****
  	},
  	{
  		{"timezone_abbreviations", PGC_USERSET, CLIENT_CONN_LOCALE,
! 			gettext_noop("Selects a file of time zone abbreviations"),
  			NULL,
  		},
  		&timezone_abbreviations_string,
--- 2150,2156 ----
  	},
  	{
  		{"timezone_abbreviations", PGC_USERSET, CLIENT_CONN_LOCALE,
! 			gettext_noop("Selects a file of time zone abbreviations."),
  			NULL,
  		},
  		&timezone_abbreviations_string,
*************** static struct config_string ConfigureNam
*** 2170,2177 ****
  	{
  		{"unix_socket_group", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the owning group of the Unix-domain socket."),
! 			gettext_noop("(The owning user of the socket is always the user "
! 						 "that starts the server.)")
  		},
  		&Unix_socket_group,
  		"", NULL, NULL
--- 2170,2177 ----
  	{
  		{"unix_socket_group", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the owning group of the Unix-domain socket."),
! 			gettext_noop("The owning user of the socket is always the user "
! 						 "that starts the server.")
  		},
  		&Unix_socket_group,
  		"", NULL, NULL
*************** static struct config_string ConfigureNam
*** 2199,2205 ****
  
  	{
  		{"wal_sync_method", PGC_SIGHUP, WAL_SETTINGS,
! 			gettext_noop("Selects the method used for forcing WAL updates out to disk."),
  			NULL
  		},
  		&XLOG_sync_method,
--- 2199,2205 ----
  
  	{
  		{"wal_sync_method", PGC_SIGHUP, WAL_SETTINGS,
! 			gettext_noop("Selects the method used for forcing WAL updates to disk."),
  			NULL
  		},
  		&XLOG_sync_method,
*************** static struct config_string ConfigureNam
*** 2238,2244 ****
  
  	{
  		{"hba_file", PGC_POSTMASTER, FILE_LOCATIONS,
! 			gettext_noop("Sets the server's \"hba\" configuration file"),
  			NULL,
  			GUC_SUPERUSER_ONLY
  		},
--- 2238,2244 ----
  
  	{
  		{"hba_file", PGC_POSTMASTER, FILE_LOCATIONS,
! 			gettext_noop("Sets the server's \"hba\" configuration file."),
  			NULL,
  			GUC_SUPERUSER_ONLY
  		},
*************** static struct config_string ConfigureNam
*** 2248,2254 ****
  
  	{
  		{"ident_file", PGC_POSTMASTER, FILE_LOCATIONS,
! 			gettext_noop("Sets the server's \"ident\" configuration file"),
  			NULL,
  			GUC_SUPERUSER_ONLY
  		},
--- 2248,2254 ----
  
  	{
  		{"ident_file", PGC_POSTMASTER, FILE_LOCATIONS,
! 			gettext_noop("Sets the server's \"ident\" configuration file."),
  			NULL,
  			GUC_SUPERUSER_ONLY
  		},
